Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
allowed-domains
Create Domain
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/allowed-domains/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>",
  "headers": {},
  "query_params": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "headers": {},
  "query_params": {}
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Body

application/json

Request schema for creating an allowed domain.

domain
string
required
Required string length: 1 - 255
headers
Headers · object
query_params
Query Params · object

Response

Successful Response

Response schema for an allowed domain.

id
string<uuid>
required
organization_id
string<uuid>
required
domain
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
headers
Headers · object
query_params
Query Params · object